Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 02 Mar 2021 09:16:27 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order number 9637403204 hasn’t been delivered to me yet, it’s now 8 days I’m waiting for it. Absolutely unsatisfactory service. If your delivery team is so busy with other orders, deliver my order to the nearest store, I will pick it up myself or just cancel my order and refund me the amount paid. I’ll find another company that can fulfill their obligations. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2175482